package com.crudoperation.Service;

import java.util.List;
import com.crudoperation.Model.Course;
import org.springframework.stereotype.Service;
import com.crudoperation.Repository.CourseRepository;
import org.springframework.beans.factory.annotation.Autowired;

@Service
public class CourseServiceImpl implements CourseService {


    @Autowired
    private CourseRepository crepo;

    @Override
    public List<Course> getAllCourses() {
        List<Course> list = (List<Course>) crepo.findAll();
        return list;
    }

    @Override
    public Course getCourseByID(int cid) {
        Course course = null;
        course = crepo.findById(cid);
        return course;
    }

    @Override
    public Course addCourse(Course co) {
        crepo.save(co);
        return co;
    }

    @Override
    public void deleteCourseById(int coid) {
        this.crepo.deleteById(coid);

    }

    @Override
    public Course updateCourse(Course course, int CourseId) {
        course.setCid(CourseId);
      Course course1 =    crepo.save(course);
         return  course1;
    }

}