package com.crudoperation.Service;

import java.util.List;
import org.springframework.stereotype.Service;
import com.crudoperation.Model.Student;
import com.crudoperation.Repository.StudentRepository;
import org.springframework.beans.factory.annotation.Autowired;

@Service
public class StudentServiceImpl implements StudentService{

    @Autowired
    private StudentRepository studentRepository;

    @Override
    public List<Student> getAllStudents() {
        List<Student> list = (List<Student>) studentRepository.findAll();
        return list;
    }

    @Override
    public Student getStudentByID(int id) {
        Student student = null;
        student = studentRepository.findById(id);
        return student;
    }

    @Override
    public Student addStudent(Student st) {
       Student student= studentRepository.save(st);
       return student;

    }

    @Override
    public void deleteStudentById(int ssid) {
        this.studentRepository.deleteById(ssid);

    }

    @Override
    public Student updateStudent(Student student, int studentId) {
        student.setSid(studentId);
       Student st = studentRepository.save(student);
        return  st;
    }


}
